
/* calculating intra-class correlations */
/* issue-nr */
ods output CovParms = covp;
proc mixed;
   class issue_nr;
   model EUP_RAP = ;
   random intercept /subject=issue_nr;
data icc;
  set covp end=last;
  retain bvar;
  if subject~="" then bvar = estimate;
  if last then icc = bvar/(bvar+estimate);
proc print data = icc;
run;

/* country */
ods output CovParms = covp;
proc mixed data=marsh;
   class landnummer;
   model EUP_RAP = ;
   random intercept /subject=landnummer;
data icc;
  set covp end=last;
  retain bvar;
  if subject~="" then bvar = estimate;
  if last then icc = bvar/(bvar+estimate);
proc print data = icc;
run;

/* organization */
ods output CovParms = covp;
proc mixed data=marsh;
   class org_nr;
   model EUP_RAP = ;
   random intercept /subject=org_nr;
data icc;
  set covp end=last;
  retain bvar;
  if subject~="" then bvar = estimate;
  if last then icc = bvar/(bvar+estimate);
proc print data = icc;
run;
